count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=-latest_revision__uses_only_baseline_capabilities&page=2
previous: null
results:
- approved_revision: null
  id: 7
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          message:
            default: ''
            description: Message to log to the console
            type: string
        required:
        - message
        title: Log a message to the console
        type: object
      id: 1
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/console-log/implementation/sha384-dwDUzk7p67hyOW81gMBIWnhrBFoOvbRvrt2ftxkMrqBjbADVA_1TjHuv0i7bbFrN/
      name: console-log
    approval_request: null
    arguments:
      message: success
    capabilities:
    - action.console-log
    comment: ''
    creator: null
    date_created: '2016-08-09T00:55:45.815142Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: normandy.channel == 'aurora'
    filter_expression: normandy.channel == 'aurora'
    filter_object: []
    id: 1432
    identicon_seed: v1:7
    metadata: {}
    name: Release Channel Filtering Test
    recipe:
      approved_revision_id: null
      id: 7
      latest_revision_id: 1432
    updated: '2017-02-01T23:53:26.583126Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 6
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          message:
            default: ''
            description: Message to log to the console
            type: string
        required:
        - message
        title: Log a message to the console
        type: object
      id: 1
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/console-log/implementation/sha384-dwDUzk7p67hyOW81gMBIWnhrBFoOvbRvrt2ftxkMrqBjbADVA_1TjHuv0i7bbFrN/
      name: console-log
    approval_request: null
    arguments:
      message: success
    capabilities:
    - action.console-log
    comment: ''
    creator: null
    date_created: '2016-08-09T00:56:27.717266Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: normandy.locale in ['en-US', 'fr']
    filter_expression: normandy.locale in ['en-US', 'fr']
    filter_object: []
    id: 1438
    identicon_seed: v1:6
    metadata: {}
    name: Locale Filtering Tests
    recipe:
      approved_revision_id: null
      id: 6
      latest_revision_id: 1438
    updated: '2017-02-01T23:53:26.642116Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 38
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_4
      surveyId: site-enhance-2
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-15T23:43:05.940033Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3, 3, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3, 3, 1000)\n \
      \   && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1395
    identicon_seed: v1:38
    metadata: {}
    name: Shield Study 4 - Site Enhance
    recipe:
      approved_revision_id: null
      id: 38
      latest_revision_id: 1395
    updated: '2017-02-01T23:53:25.777969Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 35
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_6
      surveyId: security-advisor-1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T15:50:58.435695Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   (\n        [normandy.userId]|bucketSample(2*2,\
      \ 3, 1000)\n        || [normandy.userId]|bucketSample(997, 3, 1000)\n    )\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n    && !normandy.syncSetup\n)"
    filter_expression: "(\n   (\n        [normandy.userId]|bucketSample(2*2, 3, 1000)\n\
      \        || [normandy.userId]|bucketSample(997, 3, 1000)\n    )\n    && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.channel\
      \ == 'release'\n    && !normandy.syncSetup\n)"
    filter_object: []
    id: 1398
    identicon_seed: v1:35
    metadata: {}
    name: Shield Study 6 - Security Advisor
    recipe:
      approved_revision_id: null
      id: 35
      latest_revision_id: 1398
    updated: '2017-02-01T23:53:25.803006Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 40
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Go to survey →
      learnMoreMessage: ''
      learnMoreUrl: ''
      message: Thanks for testing the SHIELD addon, can you answer some questions?
      postAnswerUrl: https://docs.google.com/a/mozilla.com/forms/d/e/1FAIpQLSevCaCsUJmP3k-VOYFDvtfBOtQD6FzKC6TjkjbafthHcll1UQ/viewform
      surveyId: system-addon-test
      thanksMessage: Thanks for the help!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T18:17:48.520446Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: telemetry.main != undefined
    filter_expression: telemetry.main != undefined
    filter_object: []
    id: 1257
    identicon_seed: v1:40
    metadata: {}
    name: Mythmon's Normandy add-on test - main
    recipe:
      approved_revision_id: null
      id: 40
      latest_revision_id: 1257
    updated: '2017-02-01T23:53:25.814127Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 58
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat&utm_content=en-feedback-short1
      message: Send Firefox to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-short1
      surveyId: mobile-en-feedback-short1
      thanksMessage: Enjoy
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:19.116316Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*0, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*0, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1379
    identicon_seed: v1:58
    metadata: {}
    name: Promo - Mobile - en-feedback-short1
    recipe:
      approved_revision_id: null
      id: 58
      latest_revision_id: 1379
    updated: '2017-02-01T23:53:26.367692Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 59
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      message: Send Firefox to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-short1
      surveyId: mobile-en-nofeedback-short1
      thanksMessage: ' '
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:24.376404Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*1, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*1, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1370
    identicon_seed: v1:59
    metadata: {}
    name: Promo - Mobile - en-nofeedback-short1
    recipe:
      approved_revision_id: null
      id: 59
      latest_revision_id: 1370
    updated: '2017-02-01T23:53:26.015646Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 60
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-short2
      message: Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-short2
      surveyId: mobile-en-feedback-short2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:38:34.124822Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*2, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1364
    identicon_seed: v1:60
    metadata: {}
    name: Promo - Mobile - en-feedback-short2
    recipe:
      approved_revision_id: null
      id: 60
      latest_revision_id: 1364
    updated: '2017-02-01T23:53:25.540873Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 61
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      message: Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-short2
      surveyId: mobile-en-nofeedback-short2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-21T21:39:15.545337Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*3, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*3, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1355
    identicon_seed: v1:61
    metadata: {}
    name: Promo - Mobile - en-nofeedback-short2
    recipe:
      approved_revision_id: null
      id: 61
      latest_revision_id: 1355
    updated: '2017-02-01T23:53:26.706584Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 41
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://addons.mozilla.org/firefox/shield_study_5?utm_campaign=shield-study-context-graph-v1
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_5
      surveyId: context-graph-v1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-28T23:33:13.131980Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(2*2 + 3*2, 5, 1000)\n\
      \    && normandy.locale == 'en-US'\n    && normandy.country == 'US'\n    &&\
      \ normandy.channel == 'release'\n)"
    filter_object: []
    id: 1393
    identicon_seed: v1:41
    metadata: {}
    name: Shield Study 5 - Context Graph
    recipe:
      approved_revision_id: null
      id: 41
      latest_revision_id: 1393
    updated: '2017-02-01T23:53:25.559372Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 62
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fun1
      message: Put the fox in your pocket. Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fun1
      surveyId: mobile-en-feedback-fun1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:24:51.836467Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*4, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*4, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1348
    identicon_seed: v1:62
    metadata: {}
    name: Promo - Mobile - en-feedback-fun1
    recipe:
      approved_revision_id: null
      id: 62
      latest_revision_id: 1348
    updated: '2017-02-01T23:53:26.405481Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 63
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get started
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fun2
      message: Free range tabs taste better. Open your desktop tabs on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fun2
      surveyId: mobile-en-feedback-fun2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:24:59.161695Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*5, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*5, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1343
    identicon_seed: v1:63
    metadata: {}
    name: Promo - Mobile - en-feedback-fun2
    recipe:
      approved_revision_id: null
      id: 63
      latest_revision_id: 1343
    updated: '2017-02-01T23:53:26.057405Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 64
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa1
      message: Send Firefox to your phone, then sync your bookmarks, passwords, history
        and more.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa1
      surveyId: mobile-en-feedback-fxa1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:12.472666Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*6, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*6, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1338
    identicon_seed: v1:64
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa1
    recipe:
      approved_revision_id: null
      id: 64
      latest_revision_id: 1338
    updated: '2017-02-01T23:53:26.744739Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 65
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Make a match
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa3
      message: Your Firefox Account meets your phone. They fall in love.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa3
      surveyId: mobile-en-feedback-fxa3
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:27.739762Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*7, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*7, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1333
    identicon_seed: v1:65
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa3
    recipe:
      approved_revision_id: null
      id: 65
      latest_revision_id: 1333
    updated: '2017-02-01T23:53:26.445830Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 66
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send it now
      message: Put the fox in your pocket. Get Firefox on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fun1
      surveyId: mobile-en-nofeedback-fun1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:34.958617Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*8, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*8, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1328
    identicon_seed: v1:66
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fun1
    recipe:
      approved_revision_id: null
      id: 66
      latest_revision_id: 1328
    updated: '2017-02-01T23:53:26.095101Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 67
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get started
      message: Free range tabs taste better. Open your desktop tabs on your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fun2
      surveyId: mobile-en-nofeedback-fun2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:42.238599Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*9, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*9, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1323
    identicon_seed: v1:67
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fun2
    recipe:
      approved_revision_id: null
      id: 67
      latest_revision_id: 1323
    updated: '2017-02-01T23:53:26.134972Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 68
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send Firefox to your phone
      message: Easily move your browsing from your laptop to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa2
      surveyId: mobile-en-nofeedback-fxa2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:25:49.786776Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*10, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1318
    identicon_seed: v1:68
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa2
    recipe:
      approved_revision_id: null
      id: 68
      latest_revision_id: 1318
    updated: '2017-02-01T23:53:25.598534Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 70
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      message: Send Firefox to your phone, then sync your bookmarks, passwords, history
        and more.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-nofeedback-fxa1
      surveyId: mobile-en-nofeedback-fxa1
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:26:10.410651Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*12, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*12, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1303
    identicon_seed: v1:70
    metadata: {}
    name: Promo - Mobile - en-nofeedback-fxa1
    recipe:
      approved_revision_id: null
      id: 70
      latest_revision_id: 1303
    updated: '2017-02-01T23:53:25.855367Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 71
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Send Firefox to your phone
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=en-feedback-fxa2
      message: Easily move your browsing from your laptop to your phone.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=en-feedback-fxa2
      surveyId: mobile-en-feedback-fxa2
      thanksMessage: Enjoy!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-29T03:26:25.974886Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*13, 1,\
      \ 1000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices ==\
      \ 0\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(15 + 10*13, 1, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.syncSetup\n    && normandy.syncMobileDevices == 0\n)"
    filter_object: []
    id: 1298
    identicon_seed: v1:71
    metadata: {}
    name: Promo - Mobile - en-feedback-fxa2
    recipe:
      approved_revision_id: null
      id: 71
      latest_revision_id: 1298
    updated: '2017-02-01T23:53:26.173464Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 73
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-request-donatenow
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-request-donatenow
      surveyId: foundation-en-feedback-request-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:12.793763Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*0, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*0, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1293
    identicon_seed: v1:73
    metadata: {}
    name: Promo - Foundation - en-feedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 73
      latest_revision_id: 1293
    updated: '2017-02-01T23:53:26.868734Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 74
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-request-donatenow
      surveyId: foundation-en-nofeedback-request-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:17.156658Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*1, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*1, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1290
    identicon_seed: v1:74
    metadata: {}
    name: Promo - Foundation - en-nofeedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 74
      latest_revision_id: 1290
    updated: '2017-02-01T23:53:26.197989Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 75
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-request-donate
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-request-donate
      surveyId: foundation-en-feedback-request-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:21.015263Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*2, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1287
    identicon_seed: v1:75
    metadata: {}
    name: Promo - Foundation - en-feedback-request-donate
    recipe:
      approved_revision_id: null
      id: 75
      latest_revision_id: 1287
    updated: '2017-02-01T23:53:25.623077Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 76
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate
      message: Will you donate to Mozilla, the nonprofit organization behind Firefox?
        Thanks!
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-request-donate
      surveyId: foundation-en-nofeedback-request-donate
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:24.668146Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*3, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*3, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1284
    identicon_seed: v1:76
    metadata: {}
    name: Promo - Foundation - en-nofeedback-request-donate
    recipe:
      approved_revision_id: null
      id: 76
      latest_revision_id: 1284
    updated: '2017-02-01T23:53:26.223065Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 77
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      learnMoreMessage: Give Feedback
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=en-feedback-inform-donatenow
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-feedback-inform-donatenow
      surveyId: foundation-en-feedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:28.908332Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*4, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1281
    identicon_seed: v1:77
    metadata: {}
    name: Promo - Foundation - en-feedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 77
      latest_revision_id: 1281
    updated: '2017-02-01T23:53:24.755153Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 78
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Donate Now
      message: Did you know that Mozilla, the maker of Firefox, is a nonprofit dependent
        on donations of users like you?
      postAnswerUrl: https://donate.mozilla.org/en-US?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=en-nofeedback-inform-donatenow
      surveyId: foundation-en-nofeedback-inform-donatenow
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-11-30T01:23:32.607691Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1,\
      \ 10000)\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(1450 + 1*5, 1, 10000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 1278
    identicon_seed: v1:78
    metadata: {}
    name: Promo - Foundation - en-nofeedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 78
      latest_revision_id: 1278
    updated: '2017-02-01T23:53:25.651228Z'
  signature: null
  uses_only_baseline_capabilities: true
